> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepayouts/create_volume_based_tiers.md).

# Create volume based tiers

| HTTP method | Endpoint                                                            |
| ----------- | ------------------------------------------------------------------- |
| **POST**    | **/v1/affiliate\_payouts/{affiliate\_payout\_id}/affiliate\_tiers** |

**NOTE: Volume Based Tiers only used for CPA, CPS and CPA+CPS,and the affiliate payout ，when offers pricing type is CPC cannot create Volume Based Tiers.**

***In the case of Offer pricing type be CPC, event\_id assignment and Volume Based Tiers would be unavailable. Volume Based Tiers is only available if event\_id=1.***

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter             | Description                             |
| --------------------- | --------------------------------------- |
| affiliate\_payout\_id | The unique id for the affiliate payout. |

## Request body parameters <a href="#request-body-parameters-0" id="request-body-parameters-0"></a>

| Field                | Type    | Description                                                                                              | Nullable |
| -------------------- | ------- | -------------------------------------------------------------------------------------------------------- | -------- |
| user\_id             | integer |                                                                                                          | No       |
| time\_interval\_type | integer | Time interval type. 1: Daily ; 2: Weekly ;  3: Monthly                                                   | No       |
| effective\_time      | string  | When Time Interval Type value is 0 that Custom time can be active.Print type of time must be :YYYY-MM-DD |          |
| expiration\_time     | string  | When Time Interval Type value is 0 that Custom time can be active.Print type of time must be :YYYY-MM-DD |          |
| tier\_item           |         |                                                                                                          | No       |
| volume\_caps         | integer | Volume Caps.                                                                                             | No       |
| payout               | string  | Payout.                                                                                                  |          |
| percent\_payout      | string  | Percent payout.                                                                                          |          |

## Response body parameters <a href="#response-body-parameters-0" id="response-body-parameters-0"></a>

| Field                | Type    | Description                                            |
| -------------------- | ------- | ------------------------------------------------------ |
| offer\_id            | integer | Offer id.                                              |
| affiliate\_id        | integer | Affiliate id.                                          |
| user\_id             | integer | User id.                                               |
| time\_interval\_type | integer | Time interval type. 1: Daily ; 2: Weekly ;  3: Monthly |
| effective\_time      | integer | Effective time.                                        |
| expiration\_time     | integer | Expiration time.                                       |
| create\_time         | integer | Create time.                                           |
| tier\_item           |         |                                                        |
| volume\_caps         | integer | Volume Based Tiers Volume Caps.                        |
| payout               | string  | Volume Based Tiers Payout.                             |
| percent\_payout      | string  | Percent payout.                                        |
| sort                 | integer | Volume Based Tiers Sort.                               |
| range                | string  | Volume Based Tiers Range.                              |

## Example request <a href="#example-request-0" id="example-request-0"></a>

**Request POST** <https://{networkname}.api.offerslook.com/v1/affiliate_payouts/8/affiliate_tiers>

**Request POST** <http://{networkname}.api.offerslook.com/v1/affiliate_payouts/8/affiliate_tiers>

```
    {
      "user_id": 1,
      "time_interval_type": 0,
      "effective_time": "2016-09-03",
      "expiration_time": "2016-10-03",
      "tier_item": [
        {
          "volume_caps": "150",
          "payout": "34",
          "percent_payout": "10"
        },
        {
          "volume_caps": 100,
          "payout": 43,
          "percent_payout": "10"
        }
      ]
    }
```

## Example response <a href="#example-response-0" id="example-response-0"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_tier": {
          "offer_id": 3,
          "affiliate_id": 6,
          "user_id": 1,
          "time_interval_type": 0,
          "effective_time": 1472832000,
          "expiration_time": 1475510399,
          "create_time": 1467615990,
          "tier_item": [
            {
              "volume_caps": 100,
              "payout": 34,
              "percent_payout": "10",
              "sort": 1,
              "range": "1-100"
            },
            {
              "volume_caps": 150,
              "payout": 43,
              "percent_payout": "10",
              "sort": 2,
              "range": "101-∞"
            }
          ]
        }
      }
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliatepayouts/create_volume_based_tiers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
